Method: productSuites.list

Lists ProductSuites.

HTTP request

GET https://cloudproductregistry.googleapis.com/v1/productSuites

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of suites to return. The service may return fewer than this value. If unspecified, at most 100 suites will be returned. The maximum value is 500; values above 500 will be coerced to 500.

pageToken

string

Optional. A page token, received from a previous productSuites.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to productSuites.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for productSuites.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "productSuites": [
    {
      object (ProductSuite)
    }
  ],
  "nextPageToken": string
}
Fields
productSuites[]

object (ProductSuite)

Matched ProductSuites

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.